petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatRealPart

Zeros out the imaginary part of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRealPart(Mat mat)

Logically Collective on Mat

### Input Parameters

mat -the matrix

### See Also

MatImaginaryPart()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatRealPart_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatRealPart_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatRealPart_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatRealPart_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatRealPart_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatRealPart_SeqDense in src/mat/impls/dense/seq/dense.c
MatRealPart_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatRealPart_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
MatRealPart_MPISELL in src/mat/impls/sell/mpi/mpisell.c
MatRealPart_SeqSELL in src/mat/impls/sell/seq/sell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages